Delete a message
Roles
Analytics Events
/v1/messaging/inboxes/{id}/messages/{messageId}Deletes a message from the requested inbox by providing its ID.
Analytic events
- MESSAGING_INBOX_MESSAGE_DELETE_START
- MESSAGING_INBOX_MESSAGE_DELETE_SUCCESS
- MESSAGING_INBOX_MESSAGE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Requested inbox ID
Requested message ID
Response Body
application/json
application/json
curl -X DELETE "https://example.com/v1/messaging/inboxes/string/messages/string"How would you rate this page?
Retrieve a message GET
Retrieves a message from the requested inbox by providing its ID. ### **Analytic events** * MESSAGING_INBOX_MESSAGE_RETRIEVE_START * MESSAGING_INBOX_MESSAGE_RETRIEVE_SUCCESS * MESSAGING_INBOX_MESSAGE_RETRIEVE_FAIL
Create API Auth Token POST
Authorization endpoint for gaining token used for API requests requiring `bearerAuth`. You will be provided the required `client_id` and `client_secret` as part of onboarding. <Callout> The returned bearer token will only enable access to endpoints as per your client's defined role. Refer to [Access Control](https://learn.mattr.global/docs/platform-management/access-control) for more information. </Callout>